/**
   @author Shin'ichiro NAKAOKA
*/

#include "ComboBox.h"

using namespace cnoid;

ComboBox::ComboBox(QWidget* parent)
    : QComboBox(parent)
{
    connect(this, SIGNAL(activated(int)), this, SLOT(onActivated(int)));
    connect(this, SIGNAL(currentIndexChanged(int)), this, SLOT(onCurrentIndexChanged(int)));
    connect(this, SIGNAL(editTextChanged(const QString&)), this, SLOT(onEditTextChanged(const QString&)));
    connect(this, SIGNAL(highlighted(int)), this, SLOT(onHighlighted(int)));
}


void ComboBox::onActivated(int index)
{
    sigActivated_(index);
}


void ComboBox::onCurrentIndexChanged(int index)
{
    sigCurrentIndexChanged_(index);
}


void ComboBox::onEditTextChanged(const QString& text)
{
    sigEditTextChanged_(text);
}


void ComboBox::onHighlighted(int index)
{
    sigHighlighted_(index);
}
